ch.qos.logback.core.recovery

## Class ResilientOutputStreamBase

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.recovery.ResilientOutputStreamBase

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Direct Known Subclasses:
  ResilientFileOutputStream, ResilientSyslogOutputStream

    public abstract class ResilientOutputStreamBase
    extends OutputStream

### Field Summary

Fields
`protected OutputStream` `os`
`protected boolean` `presumedClean`

### Constructor Summary

Constructors
Constructor and Description
`ResilientOutputStreamBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatus(Status status)`
`void` `close()`
`void` `flush()`
`Context` `getContext()`
`void` `postIOFailure(IOException e)`
`void` `setContext(Context context)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### os

    protected OutputStream os

#### presumedClean

    protected boolean presumedClean

### Constructor Detail

#### ResilientOutputStreamBase

    public ResilientOutputStreamBase()

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)

Overrides:
  `write` in class `OutputStream`

#### write

    public void write(int b)

Specified by:
  `write` in class `OutputStream`

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`

#### postIOFailure

    public void postIOFailure(IOException e)

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

#### addStatus

    public void addStatus(Status status)

#### getContext

    public Context getContext()

#### setContext

    public void setContext(Context context)